Upstream information

CVE-2010-1975 at MITRE

Description

PostgreSQL 7.4 before 7.4.29, 8.0 before 8.0.25, 8.1 before 8.1.21, 8.2 before 8.2.17, 8.3 before 8.3.11, and 8.4 before 8.4.4 does not properly check privileges during certain RESET ALL operations, which allows remote authenticated users to remove arbitrary parameter settings via a (1) ALTER USER or (2) ALTER DATABASE statement.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 607778 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • postgresql >= 8.3.11-0.1.1
  • postgresql-contrib >= 8.3.11-0.1.1
  • postgresql-docs >= 8.3.11-0.1.1
  • postgresql-init >= 9.1-0.6.10.1
  • postgresql-libs >= 8.3.11-0.1.1
  • postgresql-libs-32bit >= 8.3.18-0.3.1
  • postgresql-libs-x86 >= 8.3.18-0.3.1
  • postgresql-server >= 8.3.11-0.1.1
Patchnames:
slessp1-postgresql
SUSE Linux Enterprise Server 11
SUSE Linux Enterprise Server for SAP Applications 11
  • postgresql >= 8.3.11-0.1.1
  • postgresql-contrib >= 8.3.11-0.1.1
  • postgresql-docs >= 8.3.11-0.1.1
  • postgresql-libs >= 8.3.11-0.1.1
  • postgresql-libs-32bit >= 8.3.11-0.1.1
  • postgresql-libs-x86 >= 8.3.11-0.1.1
  • postgresql-server >= 8.3.11-0.1.1
Patchnames:
slessp0-postgresql


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 postgresql Released
SLED-10-SP4 postgresql Released
SLES for SAP Applications postgresql Released
SLES-10-SP3 postgresql Released
SLES-10-SP4 postgresql Released
SLES_LTSS-10-SP4 postgresql Released
SUSE Linux Enterprise Desktop 11 postgresql Released
SUSE Linux Enterprise Desktop 11 SP1 postgresql Released
SUSE Linux Enterprise Desktop 11 SP2 postgresql Released
SUSE Linux Enterprise Desktop 11 SP3 postgresql Released
SUSE Linux Enterprise Desktop 11 SP4 postgresql Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search postgresql Released
SUSE Linux Enterprise Server 11 SP1 postgresql Released
SUSE Linux Enterprise Server 11 SP1 LTSS postgresql Released
SUSE Linux Enterprise Server 11 SP2 postgresql Released
SUSE Linux Enterprise Server 11 SP2 LTSS postgresql Released
SUSE Linux Enterprise Server 11 SP2 for VMware postgresql Released
SUSE Linux Enterprise Server 11 SP3 postgresql Released
SUSE Linux Enterprise Server 11 SP3 LTSS postgresql Released
SUSE Linux Enterprise Server 11 SP3 for VMware postgresql Released
SUSE Linux Enterprise Server 11 SP4 postgresql Released
SUSE Linux Enterprise Server for SAP Business All-in-One postgresql Released